<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@drawable/game_detail_more_dialog_background"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/handle_view"
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:layout_marginTop="12dp"
            android:background="@drawable/download_dialog_close_hint"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:clickable="false"
            app:layout_constraintBottom_toTopOf="@id/divider_line_1"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title"
            style="@style/TextButton2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="16dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_secondary"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/handle_view"
            tools:text="文章标题" />

        <View
            android:id="@+id/divider_line_1"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title" />

        <HorizontalScrollView
            android:id="@+id/sv_share"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:clipToPadding="false"
            android:paddingHorizontal="16dp"
            android:paddingTop="20dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/divider_line_1">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_share"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <View
                    android:id="@+id/v_wechat_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_wechat"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_wechat"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_wechat"
                    app:layout_constraintEnd_toEndOf="@id/v_wechat_background"
                    app:layout_constraintStart_toStartOf="@id/v_wechat_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_wechat"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_wechat_2"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_wechat_background"
                    app:layout_constraintStart_toStartOf="@id/v_wechat_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_wechat" />

                <View
                    android:id="@+id/v_wechat_moments_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_wechat_moments"
                    app:layout_constraintStart_toEndOf="@id/v_wechat_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_wechat_moments"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_pyqun"
                    app:layout_constraintEnd_toEndOf="@id/v_wechat_moments_background"
                    app:layout_constraintStart_toStartOf="@id/v_wechat_moments_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_wechat_moments"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_wechat_moments"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_wechat_moments_background"
                    app:layout_constraintStart_toStartOf="@id/v_wechat_moments_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_wechat_moments" />

                <View
                    android:id="@+id/v_qq_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_qq"
                    app:layout_constraintStart_toEndOf="@id/v_wechat_moments_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_qq"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_qq"
                    app:layout_constraintEnd_toEndOf="@id/v_qq_background"
                    app:layout_constraintStart_toStartOf="@id/v_qq_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_qq"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_wechat_moments"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_qq_background"
                    app:layout_constraintStart_toStartOf="@id/v_qq_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_qq" />

                <View
                    android:id="@+id/v_qq_zone_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_qq_zone"
                    app:layout_constraintStart_toEndOf="@id/v_qq_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_qq_zone"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_qqzone"
                    app:layout_constraintEnd_toEndOf="@id/v_qq_zone_background"
                    app:layout_constraintStart_toStartOf="@id/v_qq_zone_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_qq_zone"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_qq_zone"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_qq_zone_background"
                    app:layout_constraintStart_toStartOf="@id/v_qq_zone_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_qq_zone" />

                <View
                    android:id="@+id/v_weibo_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_weibo"
                    app:layout_constraintStart_toEndOf="@id/v_qq_zone_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_weibo"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_weibo"
                    app:layout_constraintEnd_toEndOf="@id/v_weibo_background"
                    app:layout_constraintStart_toStartOf="@id/v_weibo_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_weibo"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_weibo"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_weibo_background"
                    app:layout_constraintStart_toStartOf="@id/v_weibo_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_weibo" />

                <View
                    android:id="@+id/v_sms_background"
                    android:layout_width="48dp"
                    android:layout_height="0dp"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_sms"
                    app:layout_constraintStart_toEndOf="@id/v_weibo_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:id="@+id/iv_sms"
                    android:layout_width="0dp"
                    android:layout_height="48dp"
                    android:src="@drawable/icon_gamedetail_share_sms"
                    app:layout_constraintEnd_toEndOf="@id/v_sms_background"
                    app:layout_constraintStart_toStartOf="@id/v_sms_background"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_sms"
                    style="@style/TextCaption2"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="@string/share_wechat_2"
                    android:textColor="@color/text_tertiary"
                    app:layout_constraintEnd_toEndOf="@id/v_sms_background"
                    app:layout_constraintStart_toStartOf="@id/v_sms_background"
                    app:layout_constraintTop_toBottomOf="@id/iv_sms" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </HorizontalScrollView>

        <View
            android:id="@+id/v_divider"
            android:layout_width="0dp"
            android:layout_height="0.5dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="16dp"
            android:background="@color/ui_divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/sv_share" />

        <View
            android:id="@+id/v_copy_link_background"
            android:layout_width="48dp"
            android:layout_height="0dp"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_copy_link"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_divider" />

        <ImageView
            android:id="@+id/iv_copy_link"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/ic_share_copy_article"
            app:layout_constraintEnd_toEndOf="@id/v_copy_link_background"
            app:layout_constraintStart_toStartOf="@id/v_copy_link_background"
            app:layout_constraintTop_toBottomOf="@id/v_divider" />

        <TextView
            android:id="@+id/tv_copy_link"
            style="@style/TextCaption2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:text="@string/copy_link"
            android:textColor="@color/text_tertiary"
            app:layout_constraintEnd_toEndOf="@id/v_copy_link_background"
            app:layout_constraintStart_toStartOf="@id/v_copy_link_background"
            app:layout_constraintTop_toBottomOf="@id/iv_copy_link" />

        <TextView
            android:id="@+id/tv_cancel"
            style="@style/BtnRegularStyle"
            android:layout_width="match_parent"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:layout_marginBottom="16dp"
            android:background="@drawable/bg_common_button_light_fill_gray"
            android:gravity="center"
            android:text="@string/cancel"
            android:textColor="@color/text_secondary"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/v_copy_link_background" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>